Queryable schema
curl --request GET \
--url https://{space}.{region}.api.niadra.com/v1/insights/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/insights/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{space}.{region}.api.niadra.com/v1/insights/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entities": {
"episodes": {
"dimensions": [
"intent",
"category",
"normalized_category",
"outcome",
"channel",
"source_id",
"initiated_by",
"sentiment_band"
],
"metrics": [
"count",
"profiles",
"avg_sentiment"
]
},
"open_items": {
"dimensions": [
"owner",
"status",
"object_type",
"expected_operation",
"age_band"
],
"metrics": [
"count",
"profiles"
]
}
},
"min_group_size": 10
}Base-wide analysis
Queryable schema
The tables, metrics and dimensions that base-wide analysis accepts.
GET
/
v1
/
insights
/
schema
Queryable schema
Authorizations
nia_sk_...
Response
200 - application/json
The queryable entities, dimensions and metrics.
The response is of type Response Describe Schema V1 Insights Schema Get · object.

